List uplinks for a server model

GET/v1/locations/{location_id}/order_options/server_models/{server_model_id}/uplink_models

List all the uplink models for a server model by sending a GET request to the /v1/locations/{location_id}/order_options/server_models/{server_model_id}/uplink_models endpoint. Location and server model IDs are mandatory path parameters.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

location_id*string

A unique identifier of a location. A request to list all the location IDs is described in the Location section.

server_model_id*string

An identifier of a server model. You can find a list of all server models by sending a request described in the Server Model section.

Query Parameters

redundancy?boolean

The true value indicates an uplink having redundancy.

type?string

This type defines uplinks with private or public connection.

Value in

  • "public"
  • "private"
per_page?integer

The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.

Range1 <= value <= 100
Default20
page?integer

The number of a page (>= 1) that will be returned. By default, it's 1.

Range1 <= value
Default1
sorting?string

This parameter sorts items. By default, it's id. Also, it's possible to sort by speed, redundancy, and type.

Default"id"

Value in

  • "id"
  • "speed"
  • "redundancy"
  • "type"
direction?string

This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, ASC is set up.

Default"ASC"

Value in

  • "ASC"
  • "DESC"

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/locations/1555/order_options/server_models/2490/uplink_models"
[  {    "id": 2492,    "name": "Private 1 Gbps with redundancy",    "type": "private",    "speed": 1000,    "redundancy": true  },  {    "id": 2493,    "name": "Private 1 Gbps without redundancy",    "type": "private",    "speed": 1000,    "redundancy": false  },  {    "id": 2494,    "name": "Private 10 Gbps with redundancy",    "type": "private",    "speed": 10000,    "redundancy": true  },  {    "id": 2495,    "name": "Private 10 Gbps without redundancy",    "type": "private",    "speed": 10000,    "redundancy": false  },  {    "id": 2496,    "name": "Public 1 Gbps with redundancy",    "type": "public",    "speed": 1000,    "redundancy": true  },  {    "id": 2497,    "name": "Public 1 Gbps without redundancy",    "type": "public",    "speed": 1000,    "redundancy": false  },  {    "id": 2498,    "name": "Public 10 Gbps with redundancy",    "type": "public",    "speed": 10000,    "redundancy": true  },  {    "id": 2499,    "name": "Public 10 Gbps without redundancy",    "type": "public",    "speed": 10000,    "redundancy": false  }]
{  "message": "Not found",  "code": "NOT_FOUND"}